PYFAI-INTEGRATE(1)

NAME
pyFAI-integrate - Graphical interface for azimuthal integration

DESCRIPTION
usage: pyFAI-integrate [options] file1.edf file2.edf ...

PyFAI-integrate is a graphical interface (based on Python/Qt4) to perform azimuthal integration on a set of files. It exposes most of the important options available within pyFAI and allows you to select a GPU (or an openCL platform) to perform the calculation on.

  positional arguments:

FILE
    Files to be integrated

  optional arguments:

-h, --help
    show this help message and exit

-V, --version
    show program's version number and exit

-v, --verbose
    switch to verbose/debug mode

-o OUTPUT, --output OUTPUT
    Directory or file where to store the output data

-f FORMAT, --format FORMAT
    output data format (can be HDF5)

-s SLOW, --slow-motor SLOW
    Dimension of the scan on the slow direction (makes sense only with HDF5)

-r RAPID, --fast-motor RAPID
    Dimension of the scan on the fast direction (makes sense only with HDF5)

--no-gui
    Process the dataset without showing the user interface.

PyFAI-integrate saves all parameters in a .azimint.json (hidden) file. This JSON file is an ascii file which can be edited and used to configure online data analysis using the LImA plugin of pyFAI. Nota: there is bug in debian6 making the GUI crash (to be fixed inside pyqt) http://bugs.debian.org/cgibin/bugreport.cgi?bug=697348